summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/prereq.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index fa2d52161..57652ed5f 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -575,6 +575,15 @@ else
host_build_sed=1
fi
+printf " ---> checking if cpio is installed.. "
+host_build_cpio=0
+if ! which cpio >/dev/null 2>&1; then
+ printf "not found\n"
+ host_build_cpio=1
+else
+ printf "found\n"
+fi
+
printf " ---> checking if xz is installed.. "
host_build_xz=0
if ! which xz >/dev/null 2>&1; then
@@ -668,6 +677,9 @@ fi
if [ $host_build_tar -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_TAR" >> $topdir/target/config/Config.in.prereq
fi
+if [ $host_build_cpio -eq 1 ]; then
+ printf "\t%s\n" "select ADK_HOST_BUILD_CPIO" >> $topdir/target/config/Config.in.prereq
+fi
if [ $host_build_xz -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq
fi